Package org.apache.tapestry5.internal.jpa

# Class NoopBeanManager

java.lang.Object
org.apache.tapestry5.internal.jpa.NoopBeanManager

All Implemented Interfaces:
  `javax.enterprise.inject.spi.BeanManager`

Direct Known Subclasses:
  `TapestryCDIBeanManagerForJPAEntityListeners`

public class NoopBeanManager extends Object implements javax.enterprise.inject.spi.BeanManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoopBeanManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `areInterceptorBindingsEquivalent(Annotation interceptorBinding1, Annotation interceptorBinding2)`
  `boolean`
  `areQualifiersEquivalent(Annotation qualifier1, Annotation qualifier2)`
  `<T> javax.enterprise.inject.spi.AnnotatedType<T>`
  `createAnnotatedType(Class<T> type)`
  `<T> javax.enterprise.inject.spi.Bean<T>`
  `createBean(javax.enterprise.inject.spi.BeanAttributes<T> attributes, Class<T> beanClass, javax.enterprise.inject.spi.InjectionTargetFactory<T> injectionTargetFactory)`
  `<T, X> javax.enterprise.inject.spi.Bean<T>`
  `createBean(javax.enterprise.inject.spi.BeanAttributes<T> attributes, Class<X> beanClass, javax.enterprise.inject.spi.ProducerFactory<X> producerFactory)`
  `javax.enterprise.inject.spi.BeanAttributes<?>`
  `createBeanAttributes(javax.enterprise.inject.spi.AnnotatedMember<?> type)`
  `<T> javax.enterprise.inject.spi.BeanAttributes<T>`
  `createBeanAttributes(javax.enterprise.inject.spi.AnnotatedType<T> type)`
  `<T> javax.enterprise.context.spi.CreationalContext<T>`
  `createCreationalContext(javax.enterprise.context.spi.Contextual<T> contextual)`
  `javax.enterprise.inject.spi.InjectionPoint`
  `createInjectionPoint(javax.enterprise.inject.spi.AnnotatedField<?> field)`
  `javax.enterprise.inject.spi.InjectionPoint`
  `createInjectionPoint(javax.enterprise.inject.spi.AnnotatedParameter<?> parameter)`
  `<T> javax.enterprise.inject.spi.InjectionTarget<T>`
  `createInjectionTarget(javax.enterprise.inject.spi.AnnotatedType<T> type)`
  `void`
  `fireEvent(Object event, Annotation... qualifiers)`
  `Set<javax.enterprise.inject.spi.Bean<?>>`
  `getBeans(Type beanType, Annotation... qualifiers)`
  `Set<javax.enterprise.inject.spi.Bean<?>>`
  `getBeans(String name)`
  `javax.enterprise.context.spi.Context`
  `getContext(Class<? extends Annotation> scopeType)`
  `javax.el.ELResolver`
  `getELResolver()`
  `<T extends javax.enterprise.inject.spi.Extension>
  T`
  `getExtension(Class<T> extensionClass)`
  `Object`
  `getInjectableReference(javax.enterprise.inject.spi.InjectionPoint ij, javax.enterprise.context.spi.CreationalContext<?> ctx)`
  `<T> javax.enterprise.inject.spi.InjectionTargetFactory<T>`
  `getInjectionTargetFactory(javax.enterprise.inject.spi.AnnotatedType<T> annotatedType)`
  `Set<Annotation>`
  `getInterceptorBindingDefinition(Class<? extends Annotation> bindingType)`
  `int`
  `getInterceptorBindingHashCode(Annotation interceptorBinding)`
  `javax.enterprise.inject.spi.Bean<?>`
  `getPassivationCapableBean(String id)`
  `<X> javax.enterprise.inject.spi.ProducerFactory<X>`
  `getProducerFactory(javax.enterprise.inject.spi.AnnotatedField<? super X> field, javax.enterprise.inject.spi.Bean<X> declaringBean)`
  `<X> javax.enterprise.inject.spi.ProducerFactory<X>`
  `getProducerFactory(javax.enterprise.inject.spi.AnnotatedMethod<? super X> method, javax.enterprise.inject.spi.Bean<X> declaringBean)`
  `int`
  `getQualifierHashCode(Annotation qualifier)`
  `Object`
  `getReference(javax.enterprise.inject.spi.Bean<?> bean, Type beanType, javax.enterprise.context.spi.CreationalContext<?> ctx)`
  `Set<Annotation>`
  `getStereotypeDefinition(Class<? extends Annotation> stereotype)`
  `boolean`
  `isInterceptorBinding(Class<? extends Annotation> annotationType)`
  `boolean`
  `isNormalScope(Class<? extends Annotation> annotationType)`
  `boolean`
  `isPassivatingScope(Class<? extends Annotation> annotationType)`
  `boolean`
  `isQualifier(Class<? extends Annotation> annotationType)`
  `boolean`
  `isScope(Class<? extends Annotation> annotationType)`
  `boolean`
  `isStereotype(Class<? extends Annotation> annotationType)`
  `<X> javax.enterprise.inject.spi.Bean<? extends X>`
  `resolve(Set<javax.enterprise.inject.spi.Bean<? extends X>> beans)`
  `List<javax.enterprise.inject.spi.Decorator<?>>`
  `resolveDecorators(Set<Type> types, Annotation... qualifiers)`
  `List<javax.enterprise.inject.spi.Interceptor<?>>`
  `resolveInterceptors(javax.enterprise.inject.spi.InterceptionType type, Annotation... interceptorBindings)`
  `<T> Set<javax.enterprise.inject.spi.ObserverMethod<? super T>>`
  `resolveObserverMethods(T event, Annotation... qualifiers)`
  `void`
  `validate(javax.enterprise.inject.spi.InjectionPoint injectionPoint)`
  `javax.el.ExpressionFactory`
  `wrapExpressionFactory(javax.el.ExpressionFactory expressionFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoopBeanManager

    public NoopBeanManager()

- ## Method Details

  - ### getReference

    public Object getReference(javax.enterprise.inject.spi.Bean<?> bean, Type beanType, javax.enterprise.context.spi.CreationalContext<?> ctx)
    Specified by:
      `getReference` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getInjectableReference

    public Object getInjectableReference(javax.enterprise.inject.spi.InjectionPoint ij, javax.enterprise.context.spi.CreationalContext<?> ctx)
    Specified by:
      `getInjectableReference` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createCreationalContext

    public <T> javax.enterprise.context.spi.CreationalContext<T> createCreationalContext(javax.enterprise.context.spi.Contextual<T> contextual)
    Specified by:
      `createCreationalContext` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getBeans

    public Set<javax.enterprise.inject.spi.Bean<?>> getBeans(Type beanType, Annotation... qualifiers)
    Specified by:
      `getBeans` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getBeans

    public Set<javax.enterprise.inject.spi.Bean<?>> getBeans(String name)
    Specified by:
      `getBeans` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getPassivationCapableBean

    public javax.enterprise.inject.spi.Bean<?> getPassivationCapableBean(String id)
    Specified by:
      `getPassivationCapableBean` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### resolve

    public <X> javax.enterprise.inject.spi.Bean<? extends X> resolve(Set<javax.enterprise.inject.spi.Bean<? extends X>> beans)
    Specified by:
      `resolve` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### validate

    public void validate(javax.enterprise.inject.spi.InjectionPoint injectionPoint)
    Specified by:
      `validate` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### fireEvent

    public void fireEvent(Object event, Annotation... qualifiers)
    Specified by:
      `fireEvent` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### resolveObserverMethods

    public <T> Set<javax.enterprise.inject.spi.ObserverMethod<? super T>> resolveObserverMethods(T event, Annotation... qualifiers)
    Specified by:
      `resolveObserverMethods` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### resolveDecorators

    public List<javax.enterprise.inject.spi.Decorator<?>> resolveDecorators(Set<Type> types, Annotation... qualifiers)
    Specified by:
      `resolveDecorators` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### resolveInterceptors

    public List<javax.enterprise.inject.spi.Interceptor<?>> resolveInterceptors(javax.enterprise.inject.spi.InterceptionType type, Annotation... interceptorBindings)
    Specified by:
      `resolveInterceptors` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isScope

    public boolean isScope(Class<? extends Annotation> annotationType)
    Specified by:
      `isScope` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isNormalScope

    public boolean isNormalScope(Class<? extends Annotation> annotationType)
    Specified by:
      `isNormalScope` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isPassivatingScope

    public boolean isPassivatingScope(Class<? extends Annotation> annotationType)
    Specified by:
      `isPassivatingScope` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isQualifier

    public boolean isQualifier(Class<? extends Annotation> annotationType)
    Specified by:
      `isQualifier` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isInterceptorBinding

    public boolean isInterceptorBinding(Class<? extends Annotation> annotationType)
    Specified by:
      `isInterceptorBinding` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### isStereotype

    public boolean isStereotype(Class<? extends Annotation> annotationType)
    Specified by:
      `isStereotype` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getInterceptorBindingDefinition

    public Set<Annotation> getInterceptorBindingDefinition(Class<? extends Annotation> bindingType)
    Specified by:
      `getInterceptorBindingDefinition` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getStereotypeDefinition

    public Set<Annotation> getStereotypeDefinition(Class<? extends Annotation> stereotype)
    Specified by:
      `getStereotypeDefinition` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### areQualifiersEquivalent

    public boolean areQualifiersEquivalent(Annotation qualifier1, Annotation qualifier2)
    Specified by:
      `areQualifiersEquivalent` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### areInterceptorBindingsEquivalent

    public boolean areInterceptorBindingsEquivalent(Annotation interceptorBinding1, Annotation interceptorBinding2)
    Specified by:
      `areInterceptorBindingsEquivalent` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getQualifierHashCode

    public int getQualifierHashCode(Annotation qualifier)
    Specified by:
      `getQualifierHashCode` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getInterceptorBindingHashCode

    public int getInterceptorBindingHashCode(Annotation interceptorBinding)
    Specified by:
      `getInterceptorBindingHashCode` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getContext

    public javax.enterprise.context.spi.Context getContext(Class<? extends Annotation> scopeType)
    Specified by:
      `getContext` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getELResolver

    public javax.el.ELResolver getELResolver()
    Specified by:
      `getELResolver` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### wrapExpressionFactory

    public javax.el.ExpressionFactory wrapExpressionFactory(javax.el.ExpressionFactory expressionFactory)
    Specified by:
      `wrapExpressionFactory` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createAnnotatedType

    public <T> javax.enterprise.inject.spi.AnnotatedType<T> createAnnotatedType(Class<T> type)
    Specified by:
      `createAnnotatedType` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createInjectionTarget

    public <T> javax.enterprise.inject.spi.InjectionTarget<T> createInjectionTarget(javax.enterprise.inject.spi.AnnotatedType<T> type)
    Specified by:
      `createInjectionTarget` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getInjectionTargetFactory

    public <T> javax.enterprise.inject.spi.InjectionTargetFactory<T> getInjectionTargetFactory(javax.enterprise.inject.spi.AnnotatedType<T> annotatedType)
    Specified by:
      `getInjectionTargetFactory` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getProducerFactory

    public <X> javax.enterprise.inject.spi.ProducerFactory<X> getProducerFactory(javax.enterprise.inject.spi.AnnotatedField<? super X> field, javax.enterprise.inject.spi.Bean<X> declaringBean)
    Specified by:
      `getProducerFactory` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getProducerFactory

    public <X> javax.enterprise.inject.spi.ProducerFactory<X> getProducerFactory(javax.enterprise.inject.spi.AnnotatedMethod<? super X> method, javax.enterprise.inject.spi.Bean<X> declaringBean)
    Specified by:
      `getProducerFactory` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createBeanAttributes

    public <T> javax.enterprise.inject.spi.BeanAttributes<T> createBeanAttributes(javax.enterprise.inject.spi.AnnotatedType<T> type)
    Specified by:
      `createBeanAttributes` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createBeanAttributes

    public javax.enterprise.inject.spi.BeanAttributes<?> createBeanAttributes(javax.enterprise.inject.spi.AnnotatedMember<?> type)
    Specified by:
      `createBeanAttributes` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createBean

    public <T> javax.enterprise.inject.spi.Bean<T> createBean(javax.enterprise.inject.spi.BeanAttributes<T> attributes, Class<T> beanClass, javax.enterprise.inject.spi.InjectionTargetFactory<T> injectionTargetFactory)
    Specified by:
      `createBean` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createBean

    public <T, X> javax.enterprise.inject.spi.Bean<T> createBean(javax.enterprise.inject.spi.BeanAttributes<T> attributes, Class<X> beanClass, javax.enterprise.inject.spi.ProducerFactory<X> producerFactory)
    Specified by:
      `createBean` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createInjectionPoint

    public javax.enterprise.inject.spi.InjectionPoint createInjectionPoint(javax.enterprise.inject.spi.AnnotatedField<?> field)
    Specified by:
      `createInjectionPoint` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### createInjectionPoint

    public javax.enterprise.inject.spi.InjectionPoint createInjectionPoint(javax.enterprise.inject.spi.AnnotatedParameter<?> parameter)
    Specified by:
      `createInjectionPoint` in interface `javax.enterprise.inject.spi.BeanManager`

  - ### getExtension

    public <T extends javax.enterprise.inject.spi.Extension> T getExtension(Class<T> extensionClass)
    Specified by:
      `getExtension` in interface `javax.enterprise.inject.spi.BeanManager`